Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model
Class DIDLObject.Property.PropertyPersonWithRole

    java.lang.Object
      org.teleal.cling.support.model.DIDLObject.Property<PersonWithRole>
          org.teleal.cling.support.model.DIDLObject.Property.PropertyPersonWithRole

Direct Known Subclasses:
  DIDLObject.Property.UPNP.ACTOR, DIDLObject.Property.UPNP.ARTIST, DIDLObject.Property.UPNP.AUTHOR

Enclosing class:
  DIDLObject.Property<V>

    public static class DIDLObject.Property.PropertyPersonWithRole

extends DIDLObject.Property<PersonWithRole>

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.support.model.DIDLObject.Property
`DIDLObject.Property.DC, DIDLObject.Property.DLNA, DIDLObject.Property.NAMESPACE, DIDLObject.Property.PropertyPersonWithRole, DIDLObject.Property.UPNP`

Constructor Summary
`DIDLObject.Property.PropertyPersonWithRole()`
`DIDLObject.Property.PropertyPersonWithRole(PersonWithRole value, String descriptorName)`
`DIDLObject.Property.PropertyPersonWithRole(String descriptorName)`

Method Summary
`void` | `setOnElement(Element element)`

Methods inherited from class org.teleal.cling.support.model.DIDLObject.Property
`addAttribute, getAttribute, getDescriptorName, getValue, removeAttribute, removeAttribute, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DIDLObject.Property.PropertyPersonWithRole

    public DIDLObject.Property.PropertyPersonWithRole()

### DIDLObject.Property.PropertyPersonWithRole

    public DIDLObject.Property.PropertyPersonWithRole(String descriptorName)

### DIDLObject.Property.PropertyPersonWithRole

    public DIDLObject.Property.PropertyPersonWithRole(PersonWithRole value,
                                                      String descriptorName)

Method Detail

### setOnElement

    public void setOnElement(Element element)

  Overrides:
    `setOnElement` in class `DIDLObject.Property<PersonWithRole>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.